## org.eclipse.datatools.sqltools.result.internal.ui.export
Class SaveResultGroup

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.export.ResourceAndContainerGroup
          org.eclipse.datatools.sqltools.result.internal.ui.export.SaveResultGroup

All Implemented Interfaces:
  org.eclipse.swt.widgets.Listener

    public class SaveResultGroup

extends ResourceAndContainerGroup

A resource an container group with encoding and delimiter options.

Author:
  Dafan Yang

Field Summary

Fields inherited from class org.eclipse.datatools.sqltools.result.internal.ui.export.ResourceAndContainerGroup
`PROBLEM_CONTAINER_EMPTY, PROBLEM_NAME_INVALID, PROBLEM_NONE, PROBLEM_PATH_INVALID, PROBLEM_PATH_OCCUPIED, PROBLEM_PROJECT_DOES_NOT_EXIST, PROBLEM_RESOURCE_CONTAINS_SEPARATOR, PROBLEM_RESOURCE_EMPTY, PROBLEM_RESOURCE_EXIST`

Constructor Summary
`SaveResultGroup(org.eclipse.swt.widgets.Composite parent, org.eclipse.swt.widgets.Listener client, java.lang.String resourceFieldLabel, java.lang.String resourceType, IResultInstance resultInstance, org.eclipse.swt.widgets.Listener listener)` Creates a save result group to save all the result set objects in a result instance
`SaveResultGroup(org.eclipse.swt.widgets.Composite parent, org.eclipse.swt.widgets.Listener client, java.lang.String resourceFieldLabel, java.lang.String resourceType, IResultSetObject resultset, org.eclipse.swt.widgets.Listener listener)` Creates a save result group to save the given result set object

Method Summary
`void` `disableDelimiters()` Disables the delimiter configuration function
`java.lang.String` `getDelimiter()` Returns the delimiter
`java.lang.String` `getEncoding()` Returns the encoding
`IOutputterDescriptor` `getOutputterDesp()`
`org.eclipse.swt.widgets.Combo` `getResourceTypeField()` Returns the resourceTypeField
`org.eclipse.core.runtime.IStatus` `getStatus()` Returns the status of this UI section
`java.lang.String` `getUserDefinedDelimiter()` Returns the user-defined delimiter
`boolean` `isXMLResult()`

Methods inherited from class org.eclipse.datatools.sqltools.result.internal.ui.export.ResourceAndContainerGroup
`areAllValuesValid, getContainerFullPath, getProblemMessage, getProblemType, getResource, handleEvent, setAllowExistingResources, setContainerFullPath, setFocus, setResource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveResultGroup

    public SaveResultGroup(org.eclipse.swt.widgets.Composite parent,
                           org.eclipse.swt.widgets.Listener client,
                           java.lang.String resourceFieldLabel,
                           java.lang.String resourceType,
                           IResultSetObject resultset,
                           org.eclipse.swt.widgets.Listener listener)

  Creates a save result group to save the given result set object

  Parameters:
    `parent` - the parent composite
    `client` - the client
    `resourceFieldLabel` - the resource field label
    `resourceType` - the resource type
    `resultset` - the result set object

### SaveResultGroup

    public SaveResultGroup(org.eclipse.swt.widgets.Composite parent,
                           org.eclipse.swt.widgets.Listener client,
                           java.lang.String resourceFieldLabel,
                           java.lang.String resourceType,
                           IResultInstance resultInstance,
                           org.eclipse.swt.widgets.Listener listener)

  Creates a save result group to save all the result set objects in a result instance

  Parameters:
    `parent` - the parent composite
    `client` - the client
    `resourceFieldLabel` - the resource field label
    `resourceType` - the resource type
    `resultInstance` - the result instance

Method Detail

### getDelimiter

    public java.lang.String getDelimiter()

  Returns the delimiter

  Returns:
    delimiter

### getUserDefinedDelimiter

    public java.lang.String getUserDefinedDelimiter()

  Returns the user-defined delimiter

  Returns:
    the user-defined delimiter

### getEncoding

    public java.lang.String getEncoding()

  Returns the encoding

  Returns:
    the encoding

### disableDelimiters

    public void disableDelimiters()

  Disables the delimiter configuration function

### getResourceTypeField

    public org.eclipse.swt.widgets.Combo getResourceTypeField()

  Returns the resourceTypeField

  Returns:
    the resourceTypeField

### getStatus

    public org.eclipse.core.runtime.IStatus getStatus()

  Returns the status of this UI section

  Returns:
    the status

### isXMLResult

    public boolean isXMLResult()

### getOutputterDesp

    public IOutputterDescriptor getOutputterDesp()